Subject: Re: [PATCH 5/5] git-svn: re-map repository URLs and UUIDs on SVK mirror paths

From: Sam Vilain <[email-masked]>
Date: Thu, 07 Dec 2006 11:20:34 +1100

Eric Wong wrote:
> Upon further review, this would make 'git svn rebuild' behave
> unexpectedly (it would make the git-svn metadata, including .rev_db
> entries point to the original repo and not the SVK one).  This may not
> necessarily be a big deal, however.

Yes, that's the idea; a 'rebuild' should set it up to pull from the
original SVN repository directly.  That probably needs some documentation...

> Also, incremental fetches (or fetching more than 1k sequential
> revisions) would probably fail.  To fix this, read the offset of last
> entry in .rev_db instead of git-svn-id: from the last commit to get the
> last revision.  But since rebuild won't work as expected; losing the
> .rev_db file means you wouldn't be able to fetch from the SVK repo
> anymore (but the original upstream one will be fine).
> 
> One last thing: feature should be made optional.  I actually work
> day-to-day on a repository that was created with svm/SVN::Mirror,
> the original repository no longer exists; but the mirrored one
> still has these properties (I suppose I could remove the props
> server-side, but some people may not have the permissions).

ok, I'll work on that and the other issues you highlighted... possibly
the overhead of fetching the revprops during mirroring might hurt a
little for people not doing this, too.  Thanks for reviewing the patch!

Sam.